XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB Composite API

Composite XCB Protocol Implementation. More...

## Data Structures

struct | xcb_composite_query_version_cookie_t
| xcb_composite_query_version_cookie_t More...
struct | xcb_composite_query_version_request_t
| xcb_composite_query_version_request_t More...
struct | xcb_composite_query_version_reply_t
| xcb_composite_query_version_reply_t More...
struct | xcb_composite_redirect_window_request_t
| xcb_composite_redirect_window_request_t More...
struct | xcb_composite_redirect_subwindows_request_t
| xcb_composite_redirect_subwindows_request_t More...
struct | xcb_composite_unredirect_window_request_t
| xcb_composite_unredirect_window_request_t More...
struct | xcb_composite_unredirect_subwindows_request_t
| xcb_composite_unredirect_subwindows_request_t More...
struct | xcb_composite_create_region_from_border_clip_request_t
| xcb_composite_create_region_from_border_clip_request_t More...
struct | xcb_composite_name_window_pixmap_request_t
| xcb_composite_name_window_pixmap_request_t More...
struct | xcb_composite_get_overlay_window_cookie_t
| xcb_composite_get_overlay_window_cookie_t More...
struct | xcb_composite_get_overlay_window_request_t
| xcb_composite_get_overlay_window_request_t More...
struct | xcb_composite_get_overlay_window_reply_t
| xcb_composite_get_overlay_window_reply_t More...
struct | xcb_composite_release_overlay_window_request_t
| xcb_composite_release_overlay_window_request_t More...

## Macros

#define | XCB_COMPOSITE_MAJOR_VERSION 0
#define | XCB_COMPOSITE_MINOR_VERSION 3
#define | XCB_COMPOSITE_QUERY_VERSION 0
#define | XCB_COMPOSITE_REDIRECT_WINDOW 1
#define | XCB_COMPOSITE_REDIRECT_SUBWINDOWS 2
#define | XCB_COMPOSITE_UNREDIRECT_WINDOW 3
#define | XCB_COMPOSITE_UNREDIRECT_SUBWINDOWS 4
#define | XCB_COMPOSITE_CREATE_REGION_FROM_BORDER_CLIP 5
#define | XCB_COMPOSITE_NAME_WINDOW_PIXMAP 6
#define | XCB_COMPOSITE_GET_OVERLAY_WINDOW 7
#define | XCB_COMPOSITE_RELEASE_OVERLAY_WINDOW 8

## Typedefs

typedef enum xcb_composite_redirect_t | xcb_composite_redirect_t
typedef struct xcb_composite_query_version_cookie_t | xcb_composite_query_version_cookie_t
| xcb_composite_query_version_cookie_t
typedef struct xcb_composite_query_version_request_t | xcb_composite_query_version_request_t
| xcb_composite_query_version_request_t
typedef struct xcb_composite_query_version_reply_t | xcb_composite_query_version_reply_t
| xcb_composite_query_version_reply_t
typedef struct xcb_composite_redirect_window_request_t | xcb_composite_redirect_window_request_t
| xcb_composite_redirect_window_request_t
typedef struct xcb_composite_redirect_subwindows_request_t | xcb_composite_redirect_subwindows_request_t
| xcb_composite_redirect_subwindows_request_t
typedef struct xcb_composite_unredirect_window_request_t | xcb_composite_unredirect_window_request_t
| xcb_composite_unredirect_window_request_t
typedef struct xcb_composite_unredirect_subwindows_request_t | xcb_composite_unredirect_subwindows_request_t
| xcb_composite_unredirect_subwindows_request_t
typedef struct xcb_composite_create_region_from_border_clip_request_t | xcb_composite_create_region_from_border_clip_request_t
| xcb_composite_create_region_from_border_clip_request_t
typedef struct xcb_composite_name_window_pixmap_request_t | xcb_composite_name_window_pixmap_request_t
| xcb_composite_name_window_pixmap_request_t
typedef struct xcb_composite_get_overlay_window_cookie_t | xcb_composite_get_overlay_window_cookie_t
| xcb_composite_get_overlay_window_cookie_t
typedef struct xcb_composite_get_overlay_window_request_t | xcb_composite_get_overlay_window_request_t
| xcb_composite_get_overlay_window_request_t
typedef struct xcb_composite_get_overlay_window_reply_t | xcb_composite_get_overlay_window_reply_t
| xcb_composite_get_overlay_window_reply_t
typedef struct xcb_composite_release_overlay_window_request_t | xcb_composite_release_overlay_window_request_t
| xcb_composite_release_overlay_window_request_t

## Enumerations

enum | xcb_composite_redirect_t { XCB_COMPOSITE_REDIRECT_AUTOMATIC, XCB_COMPOSITE_REDIRECT_MANUAL }

## Functions

xcb_composite_query_version_cookie_t | xcb_composite_query_version (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_composite_query_version_cookie_t | xcb_composite_query_version_unchecked (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_composite_query_version_reply_t * | xcb_composite_query_version_reply (xcb_connection_t *c, xcb_composite_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_composite_redirect_window_checked (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_redirect_window (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_redirect_subwindows_checked (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_redirect_subwindows (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_unredirect_window_checked (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_unredirect_window (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_unredirect_subwindows_checked (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_unredirect_subwindows (xcb_connection_t *c, xcb_window_t window, uint8_t update)
xcb_void_cookie_t | xcb_composite_create_region_from_border_clip_checked (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_window_t window)
xcb_void_cookie_t | xcb_composite_create_region_from_border_clip (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_window_t window)
xcb_void_cookie_t | xcb_composite_name_window_pixmap_checked (xcb_connection_t *c, xcb_window_t window, xcb_pixmap_t pixmap)
xcb_void_cookie_t | xcb_composite_name_window_pixmap (xcb_connection_t *c, xcb_window_t window, xcb_pixmap_t pixmap)
xcb_composite_get_overlay_window_cookie_t | xcb_composite_get_overlay_window (xcb_connection_t *c, xcb_window_t window)
xcb_composite_get_overlay_window_cookie_t | xcb_composite_get_overlay_window_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_composite_get_overlay_window_reply_t * | xcb_composite_get_overlay_window_reply (xcb_connection_t *c, xcb_composite_get_overlay_window_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_composite_release_overlay_window_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_composite_release_overlay_window (xcb_connection_t *c, xcb_window_t window)

## Variables

xcb_extension_t | xcb_composite_id

## Detailed Description

Composite XCB Protocol Implementation.

## Macro Definition Documentation

#define XCB_COMPOSITE_CREATE_REGION_FROM_BORDER_CLIP 5

Opcode for xcb_composite_create_region_from_border_clip.

Referenced by xcb_composite_create_region_from_border_clip(), and xcb_composite_create_region_from_border_clip_checked().

#define XCB_COMPOSITE_GET_OVERLAY_WINDOW 7

Opcode for xcb_composite_get_overlay_window.

Referenced by xcb_composite_get_overlay_window(), and xcb_composite_get_overlay_window_unchecked().

#define XCB_COMPOSITE_NAME_WINDOW_PIXMAP 6

Opcode for xcb_composite_name_window_pixmap.

Referenced by xcb_composite_name_window_pixmap(), and xcb_composite_name_window_pixmap_checked().

#define XCB_COMPOSITE_QUERY_VERSION 0

Opcode for xcb_composite_query_version.

Referenced by xcb_composite_query_version(), and xcb_composite_query_version_unchecked().

#define XCB_COMPOSITE_REDIRECT_SUBWINDOWS 2

Opcode for xcb_composite_redirect_subwindows.

Referenced by xcb_composite_redirect_subwindows(), and xcb_composite_redirect_subwindows_checked().

#define XCB_COMPOSITE_REDIRECT_WINDOW 1

Opcode for xcb_composite_redirect_window.

Referenced by xcb_composite_redirect_window(), and xcb_composite_redirect_window_checked().

#define XCB_COMPOSITE_RELEASE_OVERLAY_WINDOW 8

Opcode for xcb_composite_release_overlay_window.

Referenced by xcb_composite_release_overlay_window(), and xcb_composite_release_overlay_window_checked().

#define XCB_COMPOSITE_UNREDIRECT_SUBWINDOWS 4

Opcode for xcb_composite_unredirect_subwindows.

Referenced by xcb_composite_unredirect_subwindows(), and xcb_composite_unredirect_subwindows_checked().

#define XCB_COMPOSITE_UNREDIRECT_WINDOW 3

Opcode for xcb_composite_unredirect_window.

Referenced by xcb_composite_unredirect_window(), and xcb_composite_unredirect_window_checked().

## Function Documentation

xcb_void_cookie_t xcb_composite_create_region_from_border_clip | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_window_t | window
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_CREATE_REGION_FROM_BORDER_CLIP.

xcb_void_cookie_t xcb_composite_create_region_from_border_clip_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_window_t | window
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_CREATE_REGION_FROM_BORDER_CLIP.

xcb_composite_get_overlay_window_cookie_t xcb_composite_get_overlay_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_GET_OVERLAY_WINDOW.

xcb_composite_get_overlay_window_reply_t* xcb_composite_get_overlay_window_reply | ( | xcb_connection_t * | c,
|  | xcb_composite_get_overlay_window_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_composite_get_overlay_window_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_composite_get_overlay_window_cookie_t xcb_composite_get_overlay_window_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_COMPOSITE_GET_OVERLAY_WINDOW.

xcb_void_cookie_t xcb_composite_name_window_pixmap | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_pixmap_t | pixmap
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_NAME_WINDOW_PIXMAP.

xcb_void_cookie_t xcb_composite_name_window_pixmap_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_pixmap_t | pixmap
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_NAME_WINDOW_PIXMAP.

xcb_composite_query_version_cookie_t xcb_composite_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | client_major_version,
|  | uint32_t | client_minor_version
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_QUERY_VERSION.

xcb_composite_query_version_reply_t* xcb_composite_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_composite_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_composite_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_composite_query_version_cookie_t xcb_composite_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | client_major_version,
|  | uint32_t | client_minor_version
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_COMPOSITE_QUERY_VERSION.

xcb_void_cookie_t xcb_composite_redirect_subwindows | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_REDIRECT_SUBWINDOWS.

xcb_void_cookie_t xcb_composite_redirect_subwindows_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_REDIRECT_SUBWINDOWS.

xcb_void_cookie_t xcb_composite_redirect_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_REDIRECT_WINDOW.

xcb_void_cookie_t xcb_composite_redirect_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_REDIRECT_WINDOW.

xcb_void_cookie_t xcb_composite_release_overlay_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_RELEASE_OVERLAY_WINDOW.

xcb_void_cookie_t xcb_composite_release_overlay_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_RELEASE_OVERLAY_WINDOW.

xcb_void_cookie_t xcb_composite_unredirect_subwindows | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_UNREDIRECT_SUBWINDOWS.

xcb_void_cookie_t xcb_composite_unredirect_subwindows_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_UNREDIRECT_SUBWINDOWS.

xcb_void_cookie_t xcb_composite_unredirect_window | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_COMPOSITE_UNREDIRECT_WINDOW.

xcb_void_cookie_t xcb_composite_unredirect_window_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | update
| ) |  |

Delivers a request to the X server

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_COMPOSITE_UNREDIRECT_WINDOW.